> For the complete documentation index, see [llms.txt](https://docs.wisej.com/hybrid/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/hybrid/start/api/sensors/wisej.hybrid.shared.sensors.gyroscopedata.md).

# GyroscopeData

Namespace: **Wisej.Hybrid.Shared.Sensors**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Contains the axis readings measured by the device's gyroscope.

{% tabs %}
{% tab title="C#" %}

```csharp
public class GyroscopeData : IEquatable<GyroscopeData>
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class GyroscopeData
    Inherits IEquatable(Of GyroscopeData)
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)GyroscopeData()

Initializes a new instance of [GyroscopeData](/hybrid/start/api/sensors/wisej.hybrid.shared.sensors.gyroscopedata.md).

### ![](/files/CCV9PPenlC1YZvNh1I6R)GyroscopeData(x, y, z)

Initializes a new instance of the [GyroscopeData](/hybrid/start/api/sensors/wisej.hybrid.shared.sensors.gyroscopedata.md) class.

| Name  | Type                                                          | Description  |
| ----- | ------------------------------------------------------------- | ------------ |
| **x** | [Double](https://docs.microsoft.com/dotnet/api/system.double) | X axis data. |
| **y** | [Double](https://docs.microsoft.com/dotnet/api/system.double) | Y axis data. |
| **z** | [Double](https://docs.microsoft.com/dotnet/api/system.double) | Z axis data. |

### ![](/files/CCV9PPenlC1YZvNh1I6R)GyroscopeData(x, y, z)

Initializes a new instance of the [GyroscopeData](/hybrid/start/api/sensors/wisej.hybrid.shared.sensors.gyroscopedata.md) class.

| Name  | Type                                                          | Description  |
| ----- | ------------------------------------------------------------- | ------------ |
| **x** | [Single](https://docs.microsoft.com/dotnet/api/system.single) | X axis data. |
| **y** | [Single](https://docs.microsoft.com/dotnet/api/system.single) | Y axis data. |
| **z** | [Single](https://docs.microsoft.com/dotnet/api/system.single) | Z axis data. |

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)AngularVelocity

[Vector3](https://docs.microsoft.com/dotnet/api/system.numerics.vector3): Gets the angular velocity vector in radians per second.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/sensors/wisej.hybrid.shared.sensors.gyroscopedata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
